# Hello world

The obligatory hello world program:

hello_world.lm

    print "hello world\n"

We run it with:

    /opt/colm/bin/colm hello_world.lm

This creates a executable chmod+x file with the same name:

    ls -l hello_world

    -rwxr-xr-x 1 peter peter 29848 Nov  2 10:06 /tmp/hello_world

When we execute it:

    ./hello_world

We’ll see:

    hello world

We can strip the file to check if we can reduce the executable.

    strip ./hello_world
    ls -l hello_words

    -rwxr-xr-x 1 peter peter 10360 Nov  2 10:10 /tmp/hello_world

## Deja-vu: python2-python3

| It turns out that print is also a function that can have multiple arguments.

hello_world_ext.lm

    print( 'hello ', "world\r\n" )

We also notice that: * the quotes can be single and double * the whitespace is not significant * the newlines \n appear to be \r\n